<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Recruitment</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Publish Recruitment
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Recruitment</li>
        <li class="active"> Publish</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-12">
            <div class="box box-default">
                <div class="box-header with-header">
                    <h3 class="box-title">Detail Recruitment</h3>
                </div>
                <div class="box-body">
                    <div class="col-md-12">
                        <table class="table table-bordered">
                            <tr>
                                <th style="width: 200px">Requested By</th>
                                <th style="width: 200px">For Department</th>
                                <th style="width: 200px">For Position</th>
                                <th style="width: 200px">Gender</th>
                                <th style="width: 200px">Quantity</th>
                                <th style="width: 200px">Date Request</th>
                            </tr>
                            <tr>
                                <td th:text="${recruitment.employes.fullName}">BEASISWA</td>
                                <td th:text="${recruitment.department.departmentName}">BEASISWA</td>
                                <td th:text="${recruitment.position.positionName}">BEASISWA</td>
                                <td th:text="${recruitment.gender}">BEASISWA</td>
                                <td th:text="${recruitment.quantity}"></td>
                                <td th:text="${#temporals.format(recruitment.dateRequest,'dd-MMM-yyyy')}">BEASISWA</td>
                            </tr>
                            <tr>
                                <th>Qualification</th>
                                <td colspan="5" th:utext="${recruitment.qualification}">BEASISWA</td>
                            </tr>
                            <tr>
                                <th>Description</th>
                                <td colspan="5" th:utext="${recruitment.jobDescription}">BEASISWA</td>
                            </tr>
                            <tr>
                                <th>Additional Information</th>
                                <td colspan="5" th:utext="${recruitment.additionalInformation}">BEASISWA</td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">

        <div class="col-md-12">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Publish Recruitment</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form class="form-horizontal" method="post" th:action="@{/recruitment/publish/save}" th:object="${recruitment}" enctype="multipart/form-data">
                    <div class="box-body">
                        <div class="col-md-12">
                            <input type="hidden" name="id" th:value="${recruitment.id}">
                            <div class="form-group">
                                <label for="descHrd" class="col-sm-2 control-label">Description from HRD</label>
                                <div class="col-sm-10">
                                    <textarea class="form-control" name="desc" id="descHrd" th:utext="${descHrd}" rows="10"></textarea>
                                    <h4 style="color: red;">*This description will appear on vacancy page</h4>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Open Date</label>
                                <div class="col-sm-10">
                                    <div class="input-group date">
                                        <div class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                        <input type="text" required class="form-control pull-right" id="tanggalString" name="open" placeholder="MM/dd/yyyy">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Expired Date</label>
                                <div class="col-sm-10">
                                    <div class="input-group date">
                                        <div class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                        <input type="text" required class="form-control pull-right" id="endDateString" name="expired" placeholder="MM/dd/yyyy">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="flyer" class="col-sm-2 control-label">Flyer</label>
                                <div class="col-sm-10">
                                    <input type="file" name="file" id="flyer" class="form-control" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="box-footer">
                        <a th:href="@{/recruitment/publish}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>


</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            // CKEDITOR

            CKEDITOR.replace('desc');

            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })
            $('#tanggalString').datepicker({
                startDate: "dateToday",
                autoclose: true
            })
            $('#endDateString').datepicker({
                startDate: "dateToday",
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>